
Jigsaw Download (jigdo)
~~~~~~~~~~~~~~~~~~~~~~~

See the doc/ directory for documentation - start with the HOWTO
for an introduction to jigdo.

Jigsaw Download homepage:   <http://atterer.net/jigdo/>
Debian CD images via jigdo: <http://www.debian.org/CD/jigdo-cd/>
                            <richard@
Written by Richard Atterer:  atterer.net>

----------------------------------------------------------------------

To build the programs, execute:
    ./configure && make

(If no file named "configure" is present in this directory, you have
downloaded a jigdo CVS snapshot. Have a look at the "bootstrapping"
section in doc/Hacking.txt.)

After a successful build, you can install the program (by default into
/usr/local) with

   make install

To build Debian packages (.deb) from the sources, execute:
    deb/rules

To build an RPM package (.rpm) from the sources, execute:
    rpmbuild -ta jigdo-x.y.z.tar.bz2

To build a .tar.bz2 with docs and statically linked binaries, execute:
    ./configure && make bindist

Apart from the usual options (see "./configure --help"), the configure
script also recognizes the following options:
  --without-libdb         Don't use libdb3 (it's necessary for jigdo-file's cache)
  --with-gui              Build the jigdo GTK+ GUI application [auto]
  --with-uint64=TYPE      Specify unsigned type of at least 64 bits [auto]
                          (Replace spaces with underscores in TYPE)
  --disable-nls           Disable multi-language support
  --enable-debug          Compile in lots of additional debugging code
  --disable-libwww-hacks  Don't compile fixed versions of some libwww
                          code (Try this if you see link errors/crashes)

----------------------------------------------------------------------

Authors:

Richard Atterer is the main jigdo author.
Other contributors:

- Paul Bolle made the jigdo.spec (based on an earlier version by Alexander
  Skwar)
- Peter Jay Salzman <p dirac.org> maintains the Debian jigdo mini HOWTO
- Jochen Hepp <jochen.hepp gmx.de>: jigdo-file patches
- Anne Bezemer <J.A.Bezemer opensourcepartners.nl>:
  Some code snippets in the jigdo-lite script

jigdo uses some code written by other people:

- Free Software Foundation, Inc.:
  Library routines. [Files: glibc-*]
- James Henstdridge <james at daa.com.au>:
  Code for integration of glib and libwww. [Files: glibwww-*]
- Damon Chaplin <damon at helixcode.com> and
  Martijn van Beers <martijn at earthling.net>:
  Support code for the GUI, generated by Glade. [File: gtk-support.cc]

----------------------------------------------------------------------

Copyright (C) 2001-2006  |  richard@
Richard Atterer          |  atterer.net

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  In addition, as a special exception, the author gives permission to
  link the jigdo code with the OpenSSL project's "OpenSSL" library (or
  with modified versions of it that use the same license as the
  "OpenSSL" library), and to distribute the linked executables. You
  must obey the GNU General Public License in all respects for all of
  the code used other than "OpenSSL". If you modify any jigdo source
  file, you may extend this exception to your version of the file, but
  you are not obliged to do so. If you do not wish to do so, delete
  this exception statement from your version.

Please note: The copyright notice in the file COPYING only applies to
the text of the GNU General Public License; the copyright of the
individual source files is as specified at the top of each file and
above. Also note that the code is licensed under GPL _version_2_ and
no other version. Special licensing for my (RA's) code is available on
request.
